# NVUI
![first](assets/display/1.png)

## Featuring
<ul>
<li> Custom Titlebar (toggleable, see <code>:h nvui-titlebar</code>)</li>
</ul>
<ul>
<li> External Command Line (<code>nvui --ext_cmdline</code>)</li>
<li> Configurable positions, sizes, colors, border width, border color, etc.</li>
<li> For more information see <code>:h nvui-cmdline</code></li>
</ul>

![ext_cmdline](assets/display/2.png)
<ul>
<li> External Popup Menu (<code>nvui --ext_popupmenu</code>)</li>
<li> Configurable colors, background colors, icon sizes, alignment, border width, border color, etc.</li>
<li> For more information see <code>:h nvui-popup</code></li>
</ul>

![ext_popupmenu](assets/display/3.png)
<ul>
<li> Cross-platform Qt, DirectWrite on Windows</li>
</ul>
<ul>
<li> Font Fallback (see guifont in the bottom left)</li>
<li> Configurable through "set guifont"</li>
</ul>

![fallback](assets/display/4.png)

<ul>
<li> External Multigrid Support (<code>:h nvui-multigrid</code>) </li>
<li> <code>nvui --ext_multigrid</code></li>
<li> Smooth Scrolling </li>

![smoothscroll](assets/display/videos/smoothscroll.gif)

<li> Animated Windows</li>

![windows](assets/display/videos/windows.gif)

<li> Animated Cursor (no VFX... yet) </li>
<li> Customizable cursor height (see <code>:h NvuiCaretExtendTop</code>
and <code>:h NvuiCaretExtendBottom</code>)
  <ul>
    <li> Ex. <code>:NvuiCaretExtendTop 200</code>, <code>:NvuiCaretExtendBottom 100</code> (see below)</li>
  </ul>
</ul>

![caretextend](assets/display/videos/caretextend.gif)

## Documentation
<code>:h nvui</code> (vim/doc/nvui.txt)